scan_kk_ger.chm

SCAN_KK [image] [image] (c) by Mike ;-)

Willkommen bei Scan_KK :-)

Was macht eigentlich Scan_KK?

Scan_KK dient dazu, aus einer gescannten oder fotografierten Bitmap, Bildbereiche fester
(aber einstellbarer) Grösse auszuschneiden und abzuspeichern.

=> [image] +

Ich habe es entwickelt, um die Bilder der Kronkorken für meine Listen und meine
Homepage ( www.twus.de ) zu erhalten.

Ich lege die Korken auf meinen Scanner und speichere die Bilder im Format BMP ab.
Als Format für meine Listen habe ich vor Urzeiten 180 x 180 Pixel gewählt.
Mit Standardgrafikprogrammen muss man immer zirkeln, um die genaue Grösse
zu erhalten, also habe ich Scan_KK entwickelt :-)

Der Name rührt daher, dass ich den Scanvorgang durch das Programm durchführen lassen wollte.
Endlich ist das Feature implementiert (ab V1.01) und der Name ist Programm ;-)

Mike's Scan_kk, Copyright ©
e-mail: info@twus.de - WWW: www.twus.de.
Michael Demuth - All rights reserved.


Features

Features: SCAN_KK [image] [image] (c) by Mike ;-)

Scan_KK hat folgende Features:

  • Scan_KK ist Freeware oder besser gesagt: Kronkorken-Ware (siehe Lizenz)
  • Eingangs Format: BMP oder JPEG (24-bit)
  • Auswahl des vorigen/nächsten Bildes per Klick/Tastendruck
  • Auswahl aus den zuletzt geöffneten Dateien
  • Auf Wunsch automatisches Laden des zuletzt geladenen Bildes / des 1. Bildes im letzten Verzeichnis
  • Ausgangs Format: BMP, JPEG
  • Scanner-Unterstüzung (nur Farbe) (einschließlich Kameras usw.)
  • Wählbare Bildgrösse
  • Schärfung an- oder abwählbar
  • Wählbarer Schärfungsgrad (mit Vorschau)
  • Wählbare Übernahme (manuell oder automatisch) des "geschossenen" Bildes in die Zwischenablage (Clipboard)
  • Wählbare zweite Kopie des ausgeschnittenen Bildes mit unterschiedlicher Größe und Zielort
  • 3 verschiedene Einstellungspresets sind speicherbar und schnell anwählbar
  • Rotation des "geschossenen" Bildes per Mausklick (rechte Maustaste)
  • Verschiebung des "geschossenen" Bildes per Mausklick (linke Maustaste)
  • Manuelle oder automatische Namensvergabe für jedes Bild
  • Offline Hilfe
  • Sprachauswahl: Deutsch, Englisch
  • Anpassung zu großer Bilder an die aktuelle Fenstergröße (einstellbar)
  • Automatische Verschiebung des Vorschaubildes ins sichtbare Fenster (einstellbar)
  • Einstellbare Skalierung beim Scannen von Bildern
  • Update-Funktion

Mike's Scan_kk, Copyright ©
e-mail: info@twus.de - WWW: www.twus.de.


Voraussetzungen

Voraussetzungen: SCAN_KK [image] [image] (c) by Mike ;-)

Voraussetzungen für Scan_KK:
  • Windows 7 (mind. SP1) und 8.x und 10 und 11 (Windows 95 bis NT und Windows XP und Windows Vista werden vom Installer nicht mehr unterstützt)
  • Administratorrechte werden für das Setup benötigt.
  • Speicherplatz (Festplatte): ca. 13 MB
  • RAM: je nach Eingangsbildgrösse (16MB, getestet mit 1024MB und 2048MB und mehr)
  • installierter TWAIN-Treiber (nur wenn die Scan-Funktion benutzt werden soll)
  • Quellbilder im BMP- oder JPEG-Format (24bit Farbtiefe)
  • mind. Internet-Explorer Version 4.0 => Hey Leute: bitte updaten ;-)
  • eine Bildschirmauflösung von >= 1024 x 768 pixel (nur um den kompletten Hilfstext im Statusbar zu sehen)

Mike's Scan_kk, Copyright ©
e-mail: info@twus.de - WWW: www.twus.de .


HowTo

HowTo: SCAN_KK [image] [image] (c) by Mike ;-)

Benutzung Scan_KK:
  • Zuerst trifft man seine Einstellungen (3 verschiedene Sets sind speicherbar) unter
    "Optionen" => "Einstellungen..."     (die natürlich das Programmende überdauern).
  • Eines der 3 Presets anwählen (in Menüzeile "Presets 1 (..)" bis "Preset 3 (..)")
  • Dann lädt man das Bild (BMP oder JPEG) der Korken (unter "Datei" => "Öffnen" oder "Strg-O" drücken oder unter "Datei" eine der zuletzt geöffneten Dateien anwählen).
  • oder man klickt auf "<<" oder ">>" oder drückt "Alt-<" oder "Alt->" um das voherige oder nächste Bild zu laden
  • oder man erfasst ein Bild (unter "Erfassung")
  • Um ein Bild auszuschneiden, ist mit der linken Maustaste ein Doppelklick im Zentrum des Bildbereiches des gewünschten Korkens durchzuführen.
  • Ist das Bild verschoben oder verdreht, so können leicht Korrekturen durchgeführt werden.
  • Der nächste Doppelklick schneidet das nächste Bild aus usw...
  • Zur Hilfe gibt es weitere Optionen.


Einstellungen

Einstellungen: SCAN_KK [image] [image] (c) by Mike ;-)

Einstellungs-Dialog Scan_KK :

Einstellungsdialog

Benutzer-Presets:
 Einen von drei Presets anwählen (Reiter oberhalb), um ihn zu verändern. Beim Aufruf wird immer der gerade
aktive Preset angewählt.
Alle weiteren Einstellungen gelten nur für den angewählten Benutzer-Preset!

Preset-Name:
 Um sich zu merken, wofür die Einstellungen sind: vergeben sie einen Namen (max. 14 Zeichen) als Preset-Name.

Grafik-Einstellungen:

Ausgangsformat:

  • Bildausschnitte in den Formaten JPEG (mit der Dateierweiterung: JPG) oder BMP speichern

JPEG-Qualität:

  • 0% (schlechteste Qualität=kleinste Dateigrösse) bis 100% (beste Qualität=größte Dateigrösse)
  • Empfehlung: 85%

Grösse-X und Grösse-Y:
  • Abmasse des fertigen Bildausschnittes in Pixeln

Speicher-Verz.:
  • Ort auf der Festplatte, an denen die Ausschnitte gespeichert werden.
    "." speichert die Ausschnitte jeweils im Pfad der geöffneten Datei
  • klicken, um neuen Pfad anzugeben

Justage:

Das Bild im Vorschaufenster wird durch Drücken und Halten der linken Maustaste bewegt und durch Drücken
und Halten der rechten Maustaste gedreht.
Die Veränderungen bei der Mausbewegung können hier angepasst werden (Bewegen in Pixel, Drehung in Grad),
um die Werte an die verschiedenen PC-Geschwindigkeiten anzupassen.

Hält man zur Mausbewegung die "Strg"-Taste gedrückt, so ist die Bewegung, bzw. Drehung grösser (es werden die Werte unter: Schnell benutzt).

Die Defaultwerte betragen:

  • Bewegung normal: 1 Pixel
  • Bewegung schnell (+ "Strg-Taste"): 5 Pixel
  • Drehung normal: 1 Grad
  • Drehung schnell (+ "Strg-Taste"): 4 Grad

Automatiken:

Automat.Bild beim Start laden:

  • markieren, um beim nächsten Programmstart ein Bild aus dem zuletzt benutzten Verzeichnis zu laden (wenn vorhanden).

=> Letztes Bild

  • wird auch noch "letztes Bild" markiert, so versucht Scan_KK beim nächsten Start, das beim Beenden geladene Bild wieder zu laden.

Automat. Bild zentrieren

  • Noch ohne Funktion: Es wird versucht den Kronkorken im Vorschaufenster mittig zu positionierem.

Anzeige zentrieren:

  • Das Vorschaufenster wird über der Doppelklickposition des Hauptfensters zentriert.

Extras:

Tooltipps:

  • Wenn markiert: verweilt man eine kurze Zeit über einer Komponente, so wird in einer Blase ein Hilfetext angezeigt.

Nur 1 Instanz:

  • Wenn markiert: lässt sich Scan_KK nur einmal starten.

Zusatzinfo auf Titelbalken:

Unmarkiert zeigt das Titelfenster die folgenden Daten:

  • Name des Programmes mit Version (zB "SCAN_KK V1.07")
  • aktiven Einstellungs Preset (Benutzer Preset) mit gewähltem Namen (zB. "Preset 2 (Mike)")
  • Namen der geladenen Datei
Markiert zeigt das Hauptfenster auf dem Titelbalken zusätzlich die folgende Info an:
  • Abmessungen (x * y * Farbtiefe)
  • Status Autonaming (bei Autonaming mit Zählerstand #: xx)
  • Status AutoloadLastPic (beim Programmstart)
  • Status Autocenter
  • Status Adjust

Kopie ins Clipboard:

  • markieren, um jedes Bild aus dem Vorschaufenster automatisch in die Zwischenablage (Clipboard) zu übernehmen (zur einfachen Übernahme in andere Programme).
  • nicht markieren, um den Inhalt des Vorschaufensters manuell per "Strg-C" oder "Strg-Einfügen" ins Clipboard zu übernehmen.

Vorschau zu großer Bilder:

  • markieren, um jedes Bild, das nicht komplett im Programmfenster angezeigt werden kann, in einem Vorschaufenster
    komplett anzuzeigen, sobald der Mauszeiger über dem Menüeintrag "*.bmp(x/y)" oder "*.jpg(x/y)" oder "*.jpeg(x/y)" verweilt (siehe Vorschau).

Bilder einpassen:

  • markieren, um jedes Bild, das nicht komplett im Programmfenster angezeigt werden kann, automatisch ins Programmfenster einzupassen.
    Die Vorschau (auch wenn aktiviert) erfolgt dann nicht!

Fensterposition (alle Presets) merken:

  • Scan_KK beim nächsten Start an alter Stelle und Grösse öffnen (nicht nach Presets getrennt speicherbar)

Schärfung:

Zur Schärfung des Bildausschnittes.

Schärfegrad:

  • Stärke der Schärfung einstellen => kontrollierbar an den beiden Vorschaubildern: "Original" und "Vorschau"
    (die gezeigten Bilder sind nur zu sehen, wenn man noch keinen Korken per Doppelklick erfasst hat)
  • Slider nach links => minimale Schärfung
  • Slider nach rechts => maximale Schärfung

Schärfen:

  • markieren, um das Ausschnittsbild zu schärfen

Ausrichtungs-Hilfslinien:

  • im Vorschaufenster werden Ausrichtungs-Hilfslinien angezeigt,
    sobald Strg und "y" gedrückt wird.
  • Hier kann man Dicke, Abstand (jeweils in Pixel) und Farbe der Linien einstellen.
  • Farbeinstellung: Farbeinstellung
  • Ein erneutes Strg und "y" lässt die Linien wieder verschwinden.

Füll-Farbe Randbereiche:
  • Gibt die Farbe an, die am Rand des Originalbildes als Hintergrundfüllfarbe genommen wird
  • klicken, um die Hintergrundfüllfarbe auf weiss zu setzen
  • klicken, um die Hintergrundfüllfarbe zu setzen (es öffent sich der Farbdialog - siehe oben)
  • oder: im Hauptfenster die Taste "Strg" gedrückt halten und mit der linken Maustaste einen
    Doppelklick auf die gewünschte Farbe ausführen, um eine neue Farbe auszuwählen
  • Beispiel: gedreht =>

Scan-Eingang: Prozentsatz vom Original:

Breite und Höhe :

  • Gibt die Umrechung in Prozent vom Originalbild an. Wird nur beim direkten Scannen verwendet.
    Bei 100% zu 100% nimmt das Programm keine Veränderung am Bild vor.

Zweite Kopie:

Grösse-X und Grösse-Y:
  • Abmasse des fertigen Bildausschnittes in Pixeln für die zweite Kopie des Bildausschnittes.

JPEG-Qualität:

  • 0% (schlechteste Qualität=kleinste Dateigrösse) bis 100% (beste Qualität=größte Dateigrösse)
  • Empfehlung: 85%

Speicher-Verz.:
  • Ort auf der Festplatte, an denen die zweiten Kopien der Ausschnitte gespeichert werden.
  • klicken, um neuen Zielpfad für die zweiten Kopien anzugeben.

OK:

  • den Einstellungsdialog verlassen mit Übernahme der Änderungen.

Abbrechen:
  • den Einstellungsdialog verlassen ohne Übernahme von Änderungen

Übernehmen:
  • die Werte des angewählten Benutzer-Presets werden übernommen (ohne Verlassen des Dialoges)
    (der Button ist nur freigegeben, sobald ein Wert geändert wurde)
.
Um per Tastatur Kommandos direkt abzusetzen, ist die ALT-Taste festzuhalten und der entsprechende
(unterstrichene) Buchstabe anzugeben (zB: ALT+R um Füllfarbe auf Weiss zu setzen).


Oeffnen

Öffnen: SCAN_KK [image] [image] (c) by Mike ;-)

Man lädt das Bild der Korken unter "Datei" => "Öffnen" (oder drückt "Strg-O").

Je nach dem Format des geöffnete Bildes (BMP oder JPG/JPEG) werden im Pfad (siehe Einstellungen) alle BMP- oder alle JPG/JPEG-Dateien gelistet.

Bei den JPG/JPEG-Dateien werden allerdings nur Dateien über einer, im Einstelldialog wählbaren, Größe angezeigt, um zwischen

Eingangs- und Ausgangsdateien unterscheiden zu können (siehe: "Filter JPEG beim Blättern: Schwelle in kB:").

Das ausgewählte Bild wird im Hauptfenster angezeigt (komplett falls "Fit pictures to window" angewählt ist) .

Wird beim Öffnen die Shift-Taste festgehalten, so wird das neue Bild nach Möglichkeit so positioniert wie das alte Bild.

Passt das Bild nicht ins Fenster, so kann es per Pfeiltasten, den Tasten "Pos1" und "Ende", den Tasten "Bild auf"
und "Bild ab" oder wenn eine Maus mit Mausrad angeschlossen ist auch mit dem Mausrad bewegt werden.

Wird die Taste "Strg" beim Bewegen mit dem Mausrad festgehalten, so wird das Bild nach links, bzw. rechts verschoben.

Weitere Möglichkeiten, eine Datei zu öffnen und die "Liste der zuletzt geöffneten Dateien" zu bearbeiten:

Unter "Datei" lassen sich per Mausklick (siehe 3.) schon mal geladene Dateien erneut öffnen (wenn sie noch vorhanden sind).

Die Liste lässt sich per Klick auf "Zuletzt benutzte Dateien (Liste löschen)..." (siehe 1.) leeren.

Bestätigen um die Liste zu löschen.

Die Liste lässt sich per Klick auf "Zuletzt benutzte Dateien (Liste aufräumen)..." (siehe 2.) von den nicht mehr vorhandenen Dateien befreien.

Bestätigen um die Liste aufzuräumen.

Beim Klick auf "<<" (siehe 4.) oder ">>" (siehe 5.) wird automatisch - wenn im Verzeichnis vorhanden - die vorige bzw. nächste Datei geladen.

Bei JPG/JPEG-Dateien muß eine Größen-Schwelle in den Einstellungen gewählt werden, damit die Bilder bei einem Klick auf << oder >> angezeigt werden.

Zweite Kopie

Wenn im Einstellungsdialog ein gültiger Pfad bei "Zweite Kopie" gewählt wurde, dann hat das Vorschaufenster eine neue Checkbox (siehe das grüne Rechteck im folgendem Bild).

Ist der Haken bei dieser Checkbox gesetzt, so sorgt ein Klick auf den "Speichern"-Button dafür, dass eine zweite Kopie des ausgeschnittenen Bildes auf der Festplatte (Zweite Kopie: Speicher-Verz.)
mit den entsprechenden Abmessungen (Zweite Kopie: Grösse-X, Gröss-Y) abgelegt wird.

So wird zB. das Hauptbild in 180x180 Pixel im aktuellen Verzeichnis abgelegt und die 2. Kopie in 110x110 Pixel unter e:\work\hp_twus\tauschkk sobald man auf "Speichern" klickt.


Ausschneiden

Ausschneiden: SCAN_KK [image] [image] (c) by Mike ;-)

Um ein Bild auszuschneiden, ist mit der linken Maustaste ein Doppelklick im Zentrum des gewünschten Korkens durchzuführen:

Das gewünschte Bild (hier in Grösse 180x180 Pixel) erscheint in einem Vorschaufenster (geschärft falls im aktiven Preset 1 eingestellt)
und es braucht nur noch der Namen (hier "robinson") gewählt zu werden (es gibt aber auch eine automatische Namensvergabe)
und mit "Speichern" bestätigt zu werden (oder einfach die Eingabetaste drücken).

Als Kennzeichen dafür, dass gespeichert wurde, wird der Speichern-Button gesperrt (ausgegraut).

Ein Doppelklick auf den Namen "Pfad" öffnet einen Dialog zur Pfadauswahl.

Wird eine Korrektur im Bild vorgenommen oder "Datei" => "Speichern" oder "Strg-S" angewählt, so wird der Speichern-Button wieder freigegeben.

Die Datei kann nach jeder Korrektur beliebig gespeichert werden, ohne dass das Programm nachfragt, die alten Versionen werden automatisch
überschrieben. Sobald aber ein erneuter Doppelklick gemacht wird, fragt das Programm nach, ob die alte Version überschrieben werden soll.

Ist der Haken bei "Top" gesetzt, so bleibt das Vorschaufenster immer im Vordergrund.


Korrektur

Korrektur: SCAN_KK [image] [image] (c) by Mike ;-)

Ist der Korken zu schief (passiert leicht beim Auflegen auf den Scanner), gibt es jetzt (ab V1.06) eine neue
Methoden zur Korrektur: den Drag-Modus!

Der Click-Modus der älteren Versionen wird nicht mehr unterstützt (aufgrund persönlicher Erfahrungen) !

Der Drag-Modus:

Im Drag-Modus braucht man nur mit der linken oder rechten Maustaste in das
Vorschaufenster zu klicken und die Maus bei gedrückter Maustaste zu bewegen.
Mit gedrückter linker Maustaste wird das Bild in alle Richtungen bewegt - mit
gedrückter rechter Maustaste im Uhrzeigersinn (Maus nach rechts bewegen) oder im
Gegenuhrzeigersinn (Maus nach links bewegen) gedreht.
Der Mauszeiger ändert sich, um anzuzeigen, ob der Bewegungs- ( [image]) oder der
Drehungs-Modus ( [image]) aktiv ist.

Hält man dabei die Taste Strg gedrückt, so sind die Bewegungen, bzw. Drehungen stärker
(unter "Einstellungen" => Justage-Werte ggf. anpassen) .

Mit den Tasten "Strg-L", "Strg-R" bzw. "Strg-F" dreht man das Bild um -90°, um +90° bzw. um 180°.

Wird "Strg" und "y" gedrückt, so erscheinen die vertikalen und horizontalen
Ausrichtungs-Hilfslinien (grüne Linien: unter "Einstellungen" => Farbe, Breite, Abstand der Ausrichtungs-
Hilfslinien anpassen).
Sie dienen als Hilfe beim Ausrichten des Kronkorkens. Um die Linien hoch, runter, nach
links oder rechts zu bewegen, ist "Strg" und "u", "Strg" und "d", "Strg" und "m" oder
"Strg" und "p" zu drücken.
Wird nochmals "Strg" und "y" gedrückt, verschwinden die Hilfslinien wieder.

Es ist sinnvoll, die Ausrichtungs-Hilfslinen an gerade Kanten des Kronkorkens zu bewegen,
um dann wie gewohnt die Bildausrichtungen zu vollziehen.

Nach ev. Drehungen und/oder Verschiebungen den Namen angeben und mit "Speichern" bestätigen
(oder einfach die Eingabetaste drücken).

Allgemein:

Als Erinnerungsstütze sind die Tastenkombinationen am unteren Rand des Hauptfensters zu sehen.

Wenn die Tooltipps (unter " Optionen" => "Einstellungen...") freigegeben sind, so erscheint ein
Hinweisfenster mit der Tastenbelegung für die Ausrichtungs-Hilfslinien, wenn der Mauszeiger über
dem "?"-Button (1.) verweilt: Hinweis

Ist der Haken bei "Top" (2.) gesetzt, so bleibt das Vorschaufenster immer im Vordergrund.

Ein Doppelklick auf "Pfad" (3.) ergibt die Möglichkeit, einen neuen Zielpfad für das zu speichernde
Bild vorzugeben.

Arbeitsweise:

Doppelklickt man in das Hauptfenster, so wird intern ein 4x so großer Bereich in den Arbeitsspeicher
umkopiert und der zentrale Teil im Vorschaufenster zur Anzeige gebracht.
Wird dort der Bildausschnitt mit der linken Maustaste verschoben, so wird aus dem Arbeitsspeicher
(mit geänderten Abständen) zur Anzeige kopiert. Beim Loslassen der linken Maustaste (oder wenn der Bereich
überschritten wurde), wird eine neue 4-fache Kopie aus des dem Hauptbild in den Arbeitsspeicher übernommen.
Beim Drehen mit der rechten Maustaste wird aus Geschwindigkeitsgründen das Bild erst beim Loslassen der
rechten Maustaste geschärft.


Optionen

Optionen: SCAN_KK [image] [image] (c) by Mike ;-)

Ist unter "Optionen" "Auto-Name" markiert, so fragt Scan_KK nur beim ersten Mal nach
einem Namen.
Danach nummeriert Scan_KK automatisch die Ausschnittsbilder durch (hängt einen 4-stelligen
Zählerwert an).
Um wieder mit einem Zähler von Null oder einem anderen Wert anzufangen, einfach
"Optionen" => "ZählerAuto-Name setzen" anwählen, den passenen Wert eingeben (nur 4 Stellen) oder
"Löschen" drücken und mit "Setzen" bestätigen:

 Optionen

Ist "Auto-Name" aktiv (Haken im Pulldown-Menü "Optionen" ist gesetzt), so ist im Vorschaufenster
der Speichern-Button gesperrt (ausser beim ersten Erscheinen des Vorschaumenüs), als Kennzeichen,
dass beim Doppelklick schon gespeichert wurde. Will man das Bild unter anderem Namen abspeichern
oder noch Korrekturen durchführen, so ist unter "Datei" => "Speichern" zu wählen, oder "Strg-s" zu drücken
oder ins Vorschaufenster zu klicken und der Speichern-Button wird wieder freigegeben.

Optionen

Wählt man in Scan_KK unter "Optionen" => "Scan_KK in Registry löschen ...", so werden alle
Einträge gelöscht, die Scan_KK in der Registry anlegt. Dies wird aber auch durch den Uninstaller
von Scan_KK bei der Deinstallation erledigt.

Um einen der 3 Einstellungs-Presets anzuwählen, ist unter "Preset x(..)" der entsprechende
auszuwählen.
Die aktive Einstellung (mit selbst gewähltem Namen) wird auf dem Titelbalken angezeigt und auf
das Vorschaubild angewendet. Ausserdem wird der aktive Preset mit "***" eingerahmt.

Um ein Update des Programmes Scan_KK zu starten, ist der Button "Update..." zu drücken (siehe Updates).


Erfassung

Erfassung: SCAN_KK [image] [image] (c) by Mike ;-)

Um Bilder direkt in Scan_KK zu erfassen, ist zuerst unter "Erfassung" => "Quelle auswählen" (oder <Strg-Q> betätigen)
ein angeschlossenes Erfassungsgerät auszuwählen. Dies kann ein Scanner sein, eine Kamera, eine Webcam oder ein
beliebiges Erfassungsgerät mit TWAIN Unterstützung.

Erfassung

Quellenbeispiel:
Auswahl Scannerquelle

Danach kann unter "Erfassung" => "Scannen" (oder <Strg-A> betätigen) der Scan-Vorgang gestarted werden.
Es erscheint das Scan-Menü des Scanners. Der gewünschte Bereich etc. muss gewählt werden. Zur Zeit
unterstützt Scan_KK nur Farbscans!
Die Prozentangabe hinter <Strg-A> gibt die automatische Skalierung des Bildes nach dem Scanvorgang an in
Richtung "X zu Y". Die Vorwahl dazu erfolgt unter "Einstellungen".
Nach dem Start des Erfassungs-Vorganges erscheint das Bild im Hauptfenster von Scan_KK und kann bei
Bedarf über "Erfassung" => "Speichern Eingangsbild..." als BMP-Datei gesichert werden.
Jetzt kann ganz normal mit Doppelklick (ins Bild) ausgeschnitten werden.

Solange vorher noch kein Bild manuell geladen worden ist, fragt Scan_KK beim 1. Doppelklick in das vom
Scanner geholte Bild einmalig nach einem Speicherpfad der ausgeschnittenen Einzelbilder.
Danach ist per Doppelklick auf "Pfad" im Vorschaufenster ein neuer Zielpfad anzugeben.


Sprache

Sprache: SCAN_KK [image] [image] (c) by Mike ;-)

Um die Sprache in Scan_KK zu wechseln, unter "Sprache" die neue auswählen.

Zur Zeit steht, wenn in Scan_KK "deutsch" aktiv ist, nur "englisch" und wenn in Scan_KK "englisch" aktiv ist, nur "deutsch" zur Auswahl.

Nach einer Bestätigung beendet sich Scan_KK und wird automatisch neu gestartet.

Eventuell ist kurz das Restarter-Programm zu sehen:

Gegebenenfalls muss eventuell per Hand neu gestartet werden! Bitte FAQ beachten.


Vorschau

Vorschau Gesamtbild: SCAN_KK [image] [image] (c) by Mike ;-)

Passt das geladene Bild nicht in das Programmfenster, so wird eine Gesamtansicht angezeigt,
sobald man den Mauszeiger über den Menüeintrag "*.bmp(x/y)" oder "*.jpg(x/y)" oder "*.jpeg(x/y)" bewegt (siehe Mauszeiger im Bild).
Wird die Maus weiter bewegt oder in die Vorschau mit der rechten Maustaste geklickt, so verschwindet die
Vorschau wieder (solange der Mauszeiger im Bereich des Programmfensters und außerhalb des
"*.bmp(x/y)"-Bereiches bleibt !) .

Ein Doppelklick mit der linken Maustaste in der Gesamtbild-Vorschau macht das Gleiche, wie ein Doppelklick
im Hauptfenster des Programmes: es zeigt das Vorschaubild des einzelnen Korkens. So muss man nicht erst
im Hauptfenster bis zum gewünschten Korken scrollen und dort klicken ;-)

Im Zusammenspiel mit den Einträgen, um ein anderes Bild im aktuellen Verzeichnis auszuwählen ( "<<" und ">>"),
kann man sich so schnell einen Überblick verschaffen, ob der gewünschte Kronkorken auf dem Bild vorhanden ist,
ohne herunterzuscrollen oder die Maus großartig bewegen zu müssen.

Im Einstellungsdialog läßt sich die Vorschau deaktivieren ("Vorschau zu großer Bilder")!

Aktiviert man "Bilder Einpassen", so wird die oben beschrieben Vorschau nicht aktiv (selbst wenn sie aktiviert ist), da dann zu große Bilder automatisch
im Programmfenster dargestellt werden. Auch dann ist das Erstellen eines Vorschaubildes durch Doppelklick möglich.


HowTo

Update: SCAN_KK [image] [image] (c) by Mike ;-)

Update Scan_KK:

Wenn man bei der Installation den Updater mitinstalliert hat, so kann man unter
"Optionen" => "Update..." ein Programmupdate starten. Nach einer Nachfrage :

wird das Hilfsprogramm M_updater.exe gestartet!

Hat der Benutzer keine Administratorrechte und ist die UAC (User Access Control = Benutzerrechte-Steuerung)
nicht deaktiviert, so kommt (ab Windows Vista und höher) eine Abfrage, bzw. ein Fenster zur Anmeldung
eines Administrators. Hier bitte an einem Administratorkonto anmelden, sonst schlägt auf jeden Fall die
Installation des Updates später fehl.
Ist die UAC deaktiviert, so kommt kein Anmeldefenster und die Installation des Updates schlägt später fehl!
Natürlich kann das Update inklusive des Downloads der Setupdatei auch ohne Administartorechte durchgeführt
werden, um dann die Installation später als Administrator durchzuführen. Es empfiehlt sich dann den Vorgang
im detaillierten Modus durchzuführen, um einen Hinweis zu erhalten, wo die Setupdatei auf dem PC gespeichert liegt.

Drückt man den Button "Weiter >", so kommt man in das Optionsmenü für die Verbindungseinstellungen:

Nach Auswahl der Proxy-Einstellungen und der Auswahl (unter "Modus"), ob wann beim Update detailierte
oder einfache Informationen bevorzugt, kommt man über den Button "Weiter >" zum eigentlichen Updatemenü:
(mit dem Button "Einstellungen sichern" können die Einstellungen für das nächste Update gespeichert werden)

Detaillierte Version:

EinfacheVersion:

easy

Unter "Schritt 1 =>" prüft man die Version auf dem Server. Dabei werden keinerlei Informationen an den Server
gesendet, lediglich die passende Infodatei zu Scan_KK vom Server geholt:

Ist die Datei auf dem Server neuer, so erfolgt ein Hinweis:

Die gefundene Information wird dargestellt:

Ein Klick mit der rechten Maustaste in die Informationsbox ermöglicht es, alle Einträge auszuwählen
(auch mittels Strg+A) und in die Zwischenablage zu kopieren (auch mittels Strg+C):

Jetzt kann die neue Setupdatei in "Schritt 2 =>" vom Server heruntergeladen werden und es erfolgt ein erneuter Hinweis:

Sobald man jetzt unter "Schritt 3 =>" die neue Setupdatei installiert, beendet sich M_updater und das Installationsprogramm
vom Server wird aufgerufen.

Im ersten Fenster die Sprache für die Installation wählen. Bei einem Update ist die Sprache von Scan_KK schon voreingestellt.
"OK" betätigen, um fortzufahren:

Nach einem kurzen Splash-Schirm im folgenden Fenster bitte die Nutzungsbestimmungen lesen, "Ich akzeptiere die Vereinbarung" markieren
und "Weiter" betätigen, um fortzufahren:

Install 2

Die Information lesen und "Weiter" betätigen, um fortzufahren:

Install 3

Bitte den Pfad nach Bedarf ändern (mit "Durchsuchen ...") oder so lassen, wie es vorgeschlagen wird
und "Weiter" betätigen, um fortzufahren:

Install 5

Ist das Programm bereits in dem gewählten Pfad installiert, dann erscheint eine Warnung beim Klick auf "Weiter".
Der Pfad kann geändert werden, wenn "Nein" gewählt wird. Es ist aber sinnvoll, den bisherigen Pfad zu nutzen und "Ja" zu wählen .

Wird das Addon zum Internet-Programm-Update abgewählt, so wird es später nicht mehr möglich sein,
aus Scan_KK heraus nach neuen Programmversionen zu suchen. Es muß dann www.twus.de in einem
Browser besucht werden, um nach aktuellen Versionen zu forschen. Ich empfehle den Haken gesetzt zu lassen und
"Weiter" zu betätigen, um fortzufahren:
Das Internetupdate wird keinerlei persönliche Daten in die Welt versenden!! Es lädt eine Infodatei von www.twus.de herunter,
um zu sehen, ob es eine neue Version gibt.

Wird der Haken bei "Addon..." entfernt, so warnt das Programm beim Verlassen des Dialogs
und ermöglicht es durch Drücken von "Ja" die Eingabe zu korrigieren:

Warnung

Im nächsten Dialog: Geben Sie einen neuen Namen für den Startmenü-Ordner an oder lassen Sie die
Vorgabe stehen und betätigen "Weiter", um fortzufahren:
(Hinweis: es empfiehlt sich, unter "Keinen Ordner im Startmenü erstellen" keinen Haken zu setzen!)

Install 7

Danach kann entschieden werden, ob ein Symbol auf dem Desktop angelegt werden soll. Das gilt dann für alle Benutzer!
"Weiter" betätigen, um fortzufahren:

Install 7

Bitte alle Optionen prüfen und "Installieren" betätigen, um die neue Version von Scan_KK
auf dem PC zu installieren:

Install 8

Nach Beendigung des Vorganges kann die neue Version von Scan_KK benutzt werden :-)


Lizenz

Lizenz: SCAN_KK [image] [image] (c) by Mike ;-)

Die Lizenz von Scan_KK:

Scan_KK ist Kronkorken-Ware - dh. Scan_KK ist Freeware, aber ich würde mich freuen,
für meine Mühen ein paar Kronkorken zu erhalten - Spenden bin ich natürlich auch nicht abgeneigt ;-)
Ich würde mich aber auch über Mails (an info@twus.de ) freuen, die mir sagen, daß Scan_KK genutzt wird,
ebenso über Fehlermeldungen und Anregungen und Wünsche.
Die aktuellste Version von Scan_KK kann unter www.twus.de geladen werden.


Historie

Historie: SCAN_KK [image] [image] (c) by Mike ;-)

Versionen von Scan_KK:

28. Juli 2002 0.1
Start erste Version mit Demo-Version anderer Grafiklibrary

Anfang 2007 V0.9x
erste interne Varianten mit FreeImage-Grafik-Library

11. August 2007 V1.00 Beta
Erste öffentliche Version

23. November 2007 V1.00
1. Speichern-Button freigeben nach Rotation oder Verschieben des Vorschaubildes
2. Funktionalität der Scrollbalken verbessern (Dank für Tipp an Rudi Mende)
3. Scrollen des Bildes jetzt auch per Pfeiltasten & Pos1 & Ende
4. bei Rotation >90 Grad stimmte Anklickpunkt zum Verschieben nicht, sonst diagonal
5. Hilfslinien (mit Buchstaben) im Vorschaufenster fürs Verschieben anzeigen
6. Checkbox bei Vorschaufenster => damit es nicht mehr automat. im Vordergrund bleibt
7. Bild nach unten scrollen => minimieren => maximieren => Bild ist nicht mehr wieder am Bildanfang
8. Hotkeys (zB. Datei öffnen => Strg+O, Settings öffnen => Strg-E, Programm schliessen => Strg-X)
9. per Mausrad Bild bewegen
10. verschiedene Einstellungen abspeichern (Dank für Tipp an Rudi Mende)
11. sobald "Datei öffnen" angeklickt wird => Vorschau schliessen
12. auf "ESC" Vorschau schliessen
13. Spiegeln (180 Grad) und -90 Grad und +90 Grad (per Hotkey (Strg-F, Strg-L, Strg-R))
14. Korrektur der Tooltips um Titelbarhöhe
15. Flackern beim Scrollen und Ändern der Fenstergrösse verhindern
16. "Eieruhr" anzeigen beim Drehen des Bildes
17. alte Registry-Werte der Beta-Version löschen (falls vorhanden)
18. Link zum FreeImage-Projekt (im About-Fenster) klickbar gemacht
19. Tooltipps fürs Vorschaufenster hinzugefügt
20. Hilfe überarbeitet
21. Einfrieren bei Doppelklick ohne geladenes Bild verhindert

27. Dezember 2007 V1.01
1. Fix: neues Bild öffnen => im Bild nach oben springen
2. Neu: Tooltipps ausschaltbar machen (auch in Preview)
3. Neu: Scannfunktion eingebaut
4. Fix: Strgl-O und Strg-E ermöglichen, auch wenn Previewfenster aktiv ist
5. Fix: Programm beenden als Maximized => Start => Vollbild ist jetzt wieder maximized
6. Fix: Hilfe überarbeitet
7. Fix: kleinere Internas gefixed
8. Neu: deupad-Datei angelegt
9. Fix: Access Violation bei Strg-E kurz nach Programmstart beseitigt
10. Fix: bei Anwahl eines neuen Preset wurde es nicht auf dem Titelbar angezeigt (erst bei Ende Einstellungen)
11. Neu: Text zu Strg-L,R,F auch im Statusbar anzeigen
12. Fix: Nach Strg-L,R,F Bild zT. nicht mehr mittig
13. Neu: Automatischer Neustart nach Sprachwechsel
14. Fix: Bild nicht ok sobald von kleinem Fenster auf maximized Fenster geschaltet wurde

05. Januar 2008 V1.02
1. Fix: Maximiert starten wenn (unter Einstellungen) "Pos. merken" nicht angewählt ist
2. Neu: Eingangsdatei-Format JPEG wird nun unterstützt (Dank für Tipp an Kamil Kamiński)
3. Fix: Dialog bei neuen Registry-Einträge überarbeitet
4. Fix: 2 Starts waren nötig nach Erstinstallation
5. Fix: Hilfe überarbeitet
6. Fix: Autonaming ist nicht länger Default nach der Erstinstallation
7. Fix: Scrollbalken waren nach einem Scan bei langen Bildern nicht sichtbar
8. Fix: Name eines gescannten und gespeicherten Bildes wurde nicht auf Titelbalken angezeigt

21. Oktober 2009 V1.03
1. Neu: weitere Hilfslinien im Vorschaufenster zum Ausrichten (mit einstellbaren Stärken und Abstand)
2. Neu: Ausrichtungs-Hilfslinien im Vorschaufenster zum einfacheren Ausrichten verschiebbar
3. Fix: Ablauf automatische Dateibenennung verbessert
4. Fix: gewähltes Dateiladeformat (BMP oder JPG) über Programmlauf merken
5. Neu: Anzeigeposition des alten Bildes beim Bild-Laden beibehalten (wenn "Shift" beim Laden gedrückt wird)
6. Neu: 256bit Icons (für Vista)
7. Neu: die Presets sind jetzt auf oberster Menüebene auswählbar
8. Fix: Hilfe überarbeitet
9. Fix: Bild war gespiegelt bei Erfassung über TWAIN - bei Benutzung neuerer Grafik-Library (Dank an Nils und Jürgen)

20. Dezember 2009 V1.04
1. Fix: Icons mit Transparenz
2. Neu: auf Tastendruck automatisch voriges/nächstes Bild im Verzeichnis laden
3. Neu: automatisch letztes Bild beim Start erneut laden
4. Fix: Installationsprozedur geändert
 5. Neu: Anzeige der zuletzt geladenen Bilder (erneute Aufrufmöglichkeit)
6. Fix: Auto-Naming war nicht ok
7. Neu: Vorschaubild automatisch ins Clipboard übernehmen (Dank an Eckhard für die Idee :-))

20. August 2010 V1.05 (nicht offiziell)
1. Neu: Installation/Deinstallation verhindern, solange Programm noch läuft
2. Fix: Open-File-Dialog und Save-File-Dialog funktionierte nicht unter Win98
3. Neu: beim Speichern des Eingangsbildes (unter Erfassung) => Datei in die Liste zuletzt benutzter Dateien aufnehmen
4. Fix: Bilder-Reload beim Start => Scrollbar nicht da
5. Fix: wenn Fenster Vollbild hat => herunterscrollen => minimieren => wiederherstellen => Fenster scrollt nach oben
6. Neu: neue Version FreeImage (3.13.1)
7. Neu: Einstellungsdialog und Speicherung in Registry komplett überarbeitet
8. Neu: neue Variante (DRAG_MODUS) zum Korrigieren der Bilder-Lage und -Drehrichtung (per Maus)
9. Neu: Anzeige des Bildindex und der Gesamtzahl aller Bilder (nur BMP) im Verz. zB.: "3/5 (*.bmp)"
10. Fix: wenn Vorschaufenster im Vordergrund bleiben soll => Hinweise trotzdem im Vordergrund anzeigen
11. Neu: Neues Icon des Einstellungsdialoges

09. November 2012 V1.06 (nicht offiziell)
1. Neu: Geänderter interner Ablauf (Vorteil für langsamere PC)
2. Fix: Anfangswert der Schärfeeinstellung wurde nicht im Einstellungsdialog dargestellt
3. Neu: neue Version FreeImage (3.15.3)
4. Fix: Auswahlmöglichkeit des Bearbeitungsmodus im Einstellungsdialog entfernt
5. Fix: Icons des Einstellungsdialoges verschwinden beim 2. Aufruf
6. Fix: Autonaming funktioniert nicht
7. Neu: Button "Clear" beim Autoname-Dialog ergänzt
8. Neu: im Einstellungs-Dialog Justagewerte einstellbar machen
9. Neu: Datei auf Icon von scan_kk ziehen zum Öffnen der Datei (Kommandozeilenparameter)
10. Neu: Liste (Öffnen Datei-Pulldown => zuletzt geöffnete Dateien) aufräumen (mit Abfrage)
11. Neu: Abfrage ergänzt bei => Liste (Öffnen Datei-Pulldown => zuletzt geöffnete Dateien) löschen
12. Neu: Erste Version Updater integriert
13. Neu: zu grosses Bild (Vorschau) komplett anzeigen

26. November 2014 V1.07
1. Neu: Doxygen-Doku
2. Fix: "Öffnen mit..." gangbar gemacht
3. Fix: Spalte "Schlüssel" bei Anzeige Ladefehler Registry verbreitert für längsten Schlüssel (LastOpenedFileModus)
4. Fix: Wenn das Fenster Maximiert, wiederhergestellt oder Resized wird => aktuelle Datei erneut laden, damit sie ins geänderte Fenster eingepasst wird
5. Fix: beim Einpassen zu grosser Bilder dx und(!) dy berücksichtigen
6. Fix: Fenster auf 3. Monitor (rechts), nicht maximiert => Neustart => Fenster immer noch auf 3. Monitor aber schmal!! => korrigiert
7. Fix: bei Änderung Einstellung: "Bilder einpassen" => Refresh in main.c, damit die Änderung angezeigt wird
8. Neu: auch Jpg mit Vorschau bzw. fit to window laden
9. Neu: Auch Jpg-Bilder per << oder >> anwählen können (Grössenvorgabe in Einstelldialog, um Ergebnisbilder auszuschliessen)
10. Fix: Jpg geladen, dann load bmp (oder umgekehrt) => es wird noch << *.jpg/2/2 >> angezeigt (und der falsche Index)
11. Neu: neue Version FreeImage (3.16.0) verwendet
12. Fix: per ESC Fenster für Autoname-Counter, About und Settings beenden
13. Fix: *.jpg wird nicht automatisch geladen beim start
14. Fix: wenn "Einpassen" angewählt ist => wird beim Öffnen kein *.jpg als Eingangsbild angezeigt
15. Fix: Test Fit beim Scannen!! (main.c => FreeImage_Rescale()) ok
16. Neu: beim Scannen mit im Einstelldialog wählbarer Skalierung arbeiten in Prozent
17. Neu: Anzeige der Skalierungswerte (in %) im Menü hinter Scannen (Acquire) ...<Strg-A>
18. Neu: Vorschaufenster: nicht nur Hilfetext, sondern Komplettpfad anzeigen (falls Pfad zu lang ist)
19. Neu: Datei scannen => Erfassung => Speichern Eingangsbild ==> Pfad übernehmen als Zielpfad für zu speichernde Bilder (nach Doppelklick)
20. Neu: Updater überarbeitet und aktiviert (Speicherung der Einstellungen für den Aufrufer Scan_KK)
21. Fix: Safer Functionen benutzt (strcpy_s, scanf_s, strnlen_s, u.a.)
22. Neu: Wenn Vorschaufenster zum Teil ausserhalb des aktiven Monitors ist => reinschieben (Option im Einstellungsdialog)
23. Fix: Tooltipps für Hauptbuttons Einstellungsdialog ermöglicht
24. Fix: Setup überarbeitet und Test mit Win8.1 und Win10 Technical Preview
25. Neu: rechte Maustaste (zur Selektion und Kopie der Info in die Zwischenablage) in Updater-Infobox ermöglicht
26. Fix: Hinweisbox beim Start des Update ausführlicher
27. Neu: Scan_kk nur 1x starten können (Einstellungsoption)
28. Fix: deutlicherer Hinweis im Installer, dass ohne Installation des Addons kein Update aus dem Programm heraus möglich ist
29. Neu: Setup aufrufen mit Sprachvorgabe (dt. oder engl. oder fragen)
30. Fix: Validitätscheck überarbeitet
31. Fix: Hinweis korrigiert => Strg (statt ALT) Taste, um Farbe "aufzunehmen"
32. Neu: getestet mit Win8.1 und Win10 Technical Preview
33. Fix: Farbwähler modal gemacht, um Mehrfachstart zu verhindern
34. Fix: Scannen anwählen und dann Abbruch: löschte das bestehende Bild

27. November 2014 V1.08
1. Fix: Versionsnummern aus Resource (Titel und About)

16. August 2018 V1.09
1. Fix: Korrektur Overlaylines und Overwrite in AnzeigeDlg()
2. Fix: Korrektur in PaintOverlayHelpLines()
3. Fix: In Save() handle schließen im Fehlerfall

07 Februar 2021 V1.0.10 Beta
1. Fix: Wechsel zu PellesC Compiler V10
2. Fix: Beseitigung von Warnings bei strcpy() und strcat() per cast auf (void)
3. Fix: Bei einigen Verzeichnissen klappte der Wechsel zw. den *.bmp nicht => korrigiert in sort_names()
4. Fix: Version von 1.x zu 1.0.x korrigiert

26 September 2021 V1.0.10
1. Neu: Jpeg in progressive speichern (lädt auf Homepage schneller)
2. Fix: Gescanntes Bild zentrieren auf Doppelclickpunkt
3. Fix: Gescanntes Bild mittig in Ergebnis übernehmen (Ausgabebild)
4. Fix: Wechsel zu PellesC Compiler V11
5. Fix: Zurück zu 32bit (wg. IDE: debugging mit PellesC V11)
6. Fix: _stdcall als calling convention (damit es keine unresolved externals bei FreeimageLib gibt)
7. Fix: zum Ausmessen des Anzeigedialoges DLG_ANZEIGE (statt DLG_ABMESSUNG) genommen
8. Fix: Innosetup 6.2.0 benutzen, um die Setupdatei zu erstellen (Windows XP wird deshalb nicht mehr unterstützt)

07. April 2022 V1.0.11
1. Fix: Vorschaufenster war begrenzt in der Größe (eingeführt mit V1.0.10)
2. Fix: Positionierung KK im Vorschaufenster verbessert (bei allen gewählten x*y Größen)
3. Fix: Vorschaufenster behielt Position nicht bei, wenn "Anzeige zentrieren" abgewählt war
4. Fix: Ausmessen des Anzeigedialoges nicht mehr per Aufruf von DLG_ANZEIGE
5. Fix: Texte korrigiert
6. Neu: Hinweis wenn mit gehaltener Shift-Taste ins Bild doppelt geklickt wird, dass Hintergrundfarbe übernommen wurde
7. Neu: Pfad und Größen der 2. Kopie einstellbar gemacht (normalerweise 110x110 nach e:\\work\\hp_twus\\tauschkk)
8. Neu: Bei einem Fehler beim Laden aus der Registry (Makros: GETREGVALUExxx) den Index des Eintrages nennen
9. Fix: Update des Setups
10. Fix: Update des Updaters (auf V1.01)

20. Juli 2022 V1.0.12
1. Fix: Abfragen Directory-Flag korrigiert
2. Fix: Dateien mit bmpx oder jpgx als Endung wurden fälschlicherweise als Bild erkannt
3. Fix: Text in Statusleiste (unten) nicht mehr abschneiden
4. Neu: Ausgabe der Build-Nr. auf dem Titelbar ausgeben
5. Neu: Update Innosetup auf 6.2.1
6. Neu: Dateien mit der Endung jpeg öffnen
7. Fix: Die Einstellung "Vorschau zu großer Bilder" wieder mit abspeichern
8. Neu: Erfolgreich auf Windows 11 getestet
9. Neu: JPEG-Qualität für 2. Kopie einstellbar gemacht
10. Fix: Vorschaubild war verschoben (nach Doppelclick im Bild), wenn Menüzeile mehrzeilig war
11. Fix: Bereich dicht neben Vorschaufenster war gesperrt für nächsten Doppelklick
12. Fix: diverse Änderungen, um Angriffe mit falschen DLL zu verhindern
13. Fix: Autoname-Dialog: auf Button "Setzen" in "Übernehmen" geändert
14: Fix: Doxygen: Warnung bei allen Funktionen entfernt, die void zurückliefern
15. Neu: Taskbar Icon des Programmes annimieren wenn "Über" angewählt ist
16. Fix: bei Preset-Anwahl wurde die Prozentangabe bei "Erfassung=>Scannen" nicht übernommen
17. Fix: Update des Updaters (auf V1.02)

Ideen für zukünftige Versionen
1. Fix: selektiertes TWAIN-Gerät beim nächsten Programmstart automatisch auswählen
2. Neu: nachträglich die Bild-Ränder färben können (Toolbox)
3. Neu: im Vorschaufenster Liste anzeigen bisheriger Speicher-Namen
4. Neu: Korken automatisch im Vorschaufenster zentrieren


Autor

Autor: SCAN_KK [image] [image] (c) by Mike ;-)

Das Tool Scan_KK wurde von Michael Demuth, 22962 Siek, Hauptstr. 45b, Schleswig-Holstein, Deutschland geschrieben.

Es wurde mittels "Pelles C für Windows" (Homepage Pelle Orinius) in C geschrieben .

Die aktuellste Version von Scan_KK findet man unter www.twus.de.

Dort gibt es auch das Uhrenprogramm T.W.U.S. (Teeuhr-Wecker-Uhr-Stopuhr) und meine Tausch-Kronkorken :-)

Anregungen und Fehlermeldungen bitte an info@twus.de senden.


FAQ

FAQ: SCAN_KK [image] [image] (c) by Mike ;-)

Frequently-Asked-Questions (oft-gestellte-Fragen):

1. Ich versuche Graubilder zu scannen - mit merkwürdigem Erfolg?
Scan_KK unterstützt im Moment nur Farbscans!

2. Manchmal dreht sich des Vorschaubild?
Ist das Vorschaufenster noch nicht offen und liegt der Doppelklickpunkt
zufällig dort, wo sich das Vorschaufenster öffnet, so tritt dieser Effekt
auf. Windows sendet die Doppelklick-Nachricht nämlich auch noch an das
Vorschaufenster, was in diesem zu einer Linksdrehung führt (=> beseitigt ab Version V1.06).

3. Manchmal tauchen bunte Bereiche im Vorschaubild auf?
Intern arbeitet Scan_KK mit einem 2x so grossen Bereich, wie für das
Vorschaufenster eingestellt ist. Wird das Vorschaubild zu weit geschoben,
so wird die bunte Leere des Speichers sichtbar ;-) (die Farbe hängt von der eingestellten Füllfarbe des Randbereiches ab).

4. Nach einer Drehung und anschliessenden Verschiebungen bewegt sich das Bild etwas?
Durch die interne Arbeitsweise ab V1.06 (bessere Verarbeitung auf langsamen PC) und Rundungsfehlern
kann es zu kleinen Positionsänderungen kommen.

5. Kann sich für jede der 3 Presets eine eigene Position merken?
Scan_KK macht keinen Unterschied zwischen den 3 Presets. Falls "Pos. merken" gewählt ist
(unter "Einstellungen"), benutzt Scan_KK beim Neustart die Fenstergrösse und -position zur Zeit
des vorigen Programmendes. Falls "Pos. merken" nicht gewählt ist, startet Scan_KK >beim Neustart im Vollbild.

6. Wieso muss ich Scan_KK nach einem Sprachwechsel in Windows Windows 7/Windows 8/Windows 10/Windows 11 selbst neu starten?
Konnte bei älteren Scan_KK Versionen auftreten. Sollte jetzt nicht mehr passieren. Es hatte mit den Zugriffsrechten zu tun.

7. Brauche ich Admininstratorrechte unter Windows 7/Windows 8/Windows 10/Windows 11?
Sie sind für die Installation nötig.
Versuche ohne Adminrechte gaben ein Problem, falls das Setup mit "Als Administrator ausführen" gestartet wurde.
Denn dann wurde alles beim Benutzer "Administrator" installiert, aber nicht beim angemeldeten Benutzer.

8. Wieso sieht beim Drehen mit der rechten Maustaste das Bild unscharf aus?
Zur Geschwindigkeitssteigerung wird die Schärfung erst am Ende der Drehung - beim Loslasssen der
rechten Maustaste - geschärft. Ein erneuter Klick ins Vorschaubild (ohne große Bewegung des Mauszeigers) schärft erneut.

9. Wieso warnt mich mein Virenscanner?
Das ist ein bekanntes und leidiges Problem für viele Freeware-Entwickler. Fehlalarme bei ihrer Software werden von den
Antivirenherstellern nur sehr zögerlich korrigiert.
Alle Files von Scan_KK sind vor der Bereitstellung mittels Virustotal (www.virustotal.com) erfolgreich auf Viren geprüft worden.

10. Wieso ist das Programm / der Updater nicht signiert?
Da ich nur Freeware erstelle, sind mir die dafür anfallenden jährlichen Kosten für eine Signatur zu hoch.

11. Fragen zur UAC
Hat der Benutzer keine Administratorrechte und ist die UAC (User Access Control = Benutzerrechte-Steuerung)
nicht deaktiviert, so kommt (ab Windows Vista und höher) beim Starten der Installationsdatei eine Abfrage,
bzw. ein Fenster zur Anmeldung eines Administrators. Hier bitte an einem Administratorkonto anmelden, sonst
schlägt auf jeden Fall die Installation des Updates fehl. Ist die UAC deaktiviert, so kommt kein Anmeldefenster
und die Installation des Updates schlägt später fehl! Natürlich kann das Update inklusive des Downloads der Setupdatei
auch ohne Administratorechte durchgeführt werden, um dann die Installation später mit Administratorrechte durchzuführen.
Es empfiehlt sich dann, den Vorgang im detaillierten Modus durchzuführen, um einen Hinweis zu erhalten, wo die Setupdatei
auf dem PC gespeichert liegt.

12. "Bilder Einpassen" oder "Vorschau zu großer Bilder" anwählen?
Eigentlich macht "Bilder Einpassen" am meisten Sinn, da immer das ganze Bild sichtbar ist. "Vorschau zu großer Bilder" kann
abgewählt werden. Einfach mal ausprobieren. Ein großes Bild laden und den Mauszeiger über "<< *.bmp(x/y) >>" halten und staunen
was passiert ;-)

13. Welche Scan-Einstellungen sollten gewählt werden?
Um Kronkorken passend auszuschneiden, müssen sie mit 150 DPI gescannt und mit ca. 180x180 Pixeln ausgeschnitten werden.
Dabei ist bei einigen Kronkorken die Darstellung nicht so gut (Moire-Effekt).
Ich scanne deshalb mit 600 DPI, reduziere die Größe in einem Bildbearbeitungsprogramm auf 25% (in jeder Achse), so daß man
bei 180x180 Pixeln den ganzen Kronkorken erhält. Bei 300 DPI muss man die Größe auf 50% reduzieren.
Wird innerhalb von Scan_KK gescannt (Erfassung), so lässt sich die benötigte Reduzierung (unter "Einstellungen") wählen
(Scan-Eingang: Prozentsatz vom Original).


Credits

Credits: SCAN_KK [image] [image] (c) by Mike ;-)

Entwicklungstools: "Pelles C für Windows" in Version 11.00.2 ( Homepage Pelle Orinius ).

Scan_KK benutzt Grafikroutinen aus der FreeImage Open Source Grafik Library Version 3.18.0 (siehe freeimage.sourceforge.net )
gemäß der FreeImage Public License - Version 1.0 (siehe Datei license-fi.txt im Installationsverzeichnis von Scan_KK).

Scan_KK benutzt InnoSetup 6.2.1 (www.jrsoftware.org) für den Installationsprozess.

Die Scanner-Routinen basieren auf den Arbeiten der TWAIN-Working-Group.

Ein herzlicher Dank geht an folgende Personen:
Rudi, Kamil (Tipps)
Elke, Carsten (Unterstützung beim Test)
Harald, Günther (Korken)
Kimmo (Tipps)
Nils und Jürgen (Korken und Fehlermeldungen)
Eckhard (Ideen und Korken)